defmodule Scopes.CoreFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Scopes.Core` context.
  """

  @doc """
  Generate a message.
  """
  def message_fixture(attrs \\ %{}) do
    {:ok, message} =
      attrs
      |> Enum.into(%{
        domain: "some domain",
        action: "some action",
        class: "some class",
        item: "some item",
        data: %{}
      })
      |> Scopes.Core.create_message()

    message
  end
end
